CGAL 6.1.2 - 2D Arrangements: AosInputFormatter Concept Reference

CGAL 6.1.2 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members
AosInputFormatter Concept Reference
Reference Manual » Concepts

## Definition

A model for the `AosInputFormatter` concept supports a set of functions that enable reading an arrangement from an input stream using a specific format.

Has models
  `CGAL::Arr_text_formatter<Arrangement>`
  `CGAL::Arr_face_extended_text_formatter<Arrangement>`
  `CGAL::Arr_extended_dcel_text_formatter<Arrangement>`

## Types
typedef unspecified_type | Arrangement_2
| the type of arrangement to input.
typedef Arrangement_2::Point_2 | Point_2
| the point type.
typedef Arrangement_2::X_monotone_curve_2 | X_monotone_curve_2
| the \(x\)-monotone curve type.
typedef Arrangement_2::Size | Size
typedef Arrangement_2::Vertex_handle | Vertex_handle
typedef Arrangement_2::Halfedge_handle | Halfedge_handle
typedef Arrangement_2::Face_handle | Face_handle

## Creation
| Arr_in_formatter ()
| default constructor.
| Arr_in_formatter (std::istream &is)
| constructs a formatter that reads from `is`.
void | set_in (std::istream &is)
| directs `inf` to read from `is`.

## Access Functions
std::istream & | in ()
| returns the stream that `inf` reads from.

## Formatted Input Functions
void | read_arrangement_begin ()
| reads a message indicating the beginning of the arrangement.
void | read_arrangement_end ()
| reads a message indicating the end of the arrangement.
Size | read_size (const char *label=nullptr)
| reads a size value, which is supposed to be preceded by the given label.
void | read_vertices_begin ()
| reads a message indicating the beginning of the vertex records.
void | read_vertices_end ()
| reads a message indicating the end of the vertex records.
void | read_edges_begin ()
| reads a message indicating the beginning of the edge records.
void | read_edges_end ()
| reads a message indicating the end of the edge records.
void | read_faces_begin ()
| reads a message indicating the beginning of the face records.
void | read_faces_end ()
| reads a message indicating the end of the face records.
void | read_vertex_begin ()
| reads a message indicating the beginning of a single vertex record.
void | read_vertex_end ()
| reads a message indicating the end of a single vertex record.
std::size_t | read_vertex_index ()
| reads and returns a vertex index.
void | read_point (Point_2 &p)
| reads a point.
void | read_vertex_data (Vertex_handle v)
| reads an auxiliary vertex-data object and associates it with the vertex `v`.
void | read_edge_begin ()
| reads a message indicating the beginning of a single edge record.
void | read_edge_end ()
| reads a message indicating the end of a single edge record.
std::size_t | read_halfedge_index ()
| reads and returns halfedge index.
void | read_x_monotone_curve (X_monotone_curve_2 &c)
| reads an \(x\)-monotone curve.
void | read_halfedge_data (Halfedge_handle he)
| reads an auxiliary halfedge-data object and associates it with the halfedge `he`.
void | read_face_begin ()
| reads a message indicating the beginning of a single face record.
void | read_face_end ()
| reads a message indicating the end of a single face record.
void | read_outer_ccbs_begin ()
| reads a message indicating the beginning of the container of outer CCBs of the current face.
void | read_outer_ccbs_end ()
| reads a message indicating the end of of the container of outer CCBs of the current face.
void | read_inner_ccbs_begin ()
| reads a message indicating the beginning of the container of inner CCBs of the current face.
void | read_inner_ccbs_end ()
| reads a message indicating the end of of the container of inner CCBs of the current face.
void | read_outer_ccb_begin ()
| reads a message indicating the beginning of the container of outer CCBs of the current face.
void | read_outer_ccb_end ()
| reads a message indicating the end of the outer CCB of the current face.
void | read_holes_begin ()
| reads a message indicating the beginning of the container of holes inside the current face.
void | read_holes_end ()
| reads a message indicating the end of the container of holes inside the current face.
void | read_ccb_halfedges_begin ()
| reads a message indicating the beginning a connected component boundary.
void | read_ccb_halfedges_end ()
| reads a message indicating the end of a connected component boundary.
void | read_isolated_vertices_begin ()
| reads a message indicating the beginning of the container of isolated vertices inside the current face.
void | read_isolated_vertices_end ()
| reads a message indicating the end of the container of isolated vertices inside the current face.
void | read_face_data (Face_handle f)
| reads an auxiliary face-data object and associates it with the face `f`.

## Member Function Documentation

## ◆ in()

std::istream & AosInputFormatter::in | ( |  | ) |

returns the stream that `inf` reads from.

Precondition
  `inf` is directed to a valid output stream.